#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xE4,0x69,0xF0,0xB0,0xD7,0x40,0xE4,0x5F,0xA1,0x2B,0x0E,0x52,
		0xB1,0x69,0x91,0xC6,0x5D,0x12,0xD4,0xD5,0x72,0x8A,0x12,0xE3,
		0x0E,0xEB,0x65,0xB4,0xC9,0x6D,0xC7,0xB6,0x0C,0x6D,0x71,0xED,
		0x88,0xF1,0x92,0x55,0xC3,0x49,0x42,0x5B,0xD0,0xA9,0xBC,0x60,
		0x3B,0xCC,0x99,0x7B,0x40,0xA5,0xE6,0x3C,0x62,0xB2,0x5E,0xEA,
		0x08,0xE6,0x27,0xB3,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
